#include "prim.h"

class frame : public Primitive {
  public:
    virtual void glRender(rView& view) {
      // doesn't render directly
    }

    virtual Vector getScale() {
      return Vector(1,1,1);
    }

    virtual tmatrix getChildTransform() {
      if (parent)
        return tmatrix(mwt, parent->getChildTransform());
      else
        return mwt;
    }
};

Object create_frame(const Tuple& args, const Dict& kwargs) {
  return init(new frame,args,kwargs);
}

