#ifndef __mouseobject_h
#define __mouseobject_h
#pragma once

#include "cvisual.h"

class clickObject : public PythonExtension<clickObject> {
  public:
    Vector position;
    Vector cam;
    Vector ray;
    Object pick;
    Vector pickpos;

    clickObject();

    static void init_type();
    virtual Object getattr( const char * attr );

    Object py_project(const Tuple&, const Dict&);
};

class mouseObject : public PythonExtension<mouseObject> {
  public:
    mutex mtx;

    Vector position;
    Vector cam;
    Vector ray;
    Object pick;
    Vector pickpos;
    
    vector< ExtensionObject<clickObject> > clicks;

    mouseObject();

    static void init_type();
    virtual Object getattr( const char * attr );
    Object py_getclick(const Tuple&);
    Object py_project(const Tuple&, const Dict&);
};

#endif