#include <stdio.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 2 "lex.l"
/*
**  Lexical analyzer for the gag language.  We have our own FSA
**  for comments because it's much smaller and quicker that way.
*/

# line 7 "lex.l"
/* SUPPRESS 15 on yyt */

# line 8 "lex.l"
/* SUPPRESS 25 on yycrank */

# line 9 "lex.l"
/* SUPPRESS 26 on yyt */

# line 10 "lex.l"
/* SUPPRESS 592 on ncform_sccsid */

# line 11 "lex.l"
/* SUPPRESS 593 on yyfussy */
#include "gate.h"
#include "gag.h"


# line 15 "lex.l"
/* State of our automaton. */
typedef enum _STATE {
    S_STAR, S_NORMAL, S_END
} STATE;


# line 20 "lex.l"
/* Key-value pair. */
typedef struct _PAIR {
    STRING	name;
    int		value;
} PAIR;

char		yyfilename[SM_SIZE];
extern int	Errors;


# line 29 "lex.l"
/* List of GAG's keywords. */
STATIC PAIR	Keywords[] = {
    {	"default",		tDEFAULT	},
    {	"directory",		tDIRECTORY	},
    {	"distributions",	tDISTRIBUTIONS	},
    {	"dotify",		tDOTIFY		},
    {	"false",		tFALSE		},
    {	"flags",		tFLAGS		},
    {	"gateway",		tGATEWAY	},
    {	"inews",		tINEWS		},
    {	"mail2news",		tMAIL2NEWS	},
    {	"mailcontact",		tMAILCONTACT	},
    {	"mailhost",		tMAILHOST	},
    {	"mailinglist",		tMAILINGLIST	},
    {	"mailpost",		tMAILPOST	},
    {	"moderator",		tMODERATOR	},
    {	"news2mail",		tNEWS2MAIL	},
    {	"organization",		tORGANIZATION	},
    {	"owner",		tOWNER		},
    {	"request_address",	tREQUESTADDR	},
    {	"site",			tSITE		},
    {	"true",			tTRUE		},
    {	"user",			tUSER		},
    {	NULL,			0		}
};

# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 58 "lex.l"
{
		    /* A simple tID or keyword. */
		    register PAIR	*p;

		    /* Keyword? */
		    for (p = Keywords; p->name; p++)
			if (EQ(p->name, yytext))
			    return p->value;
		    yylval.String = COPY(yytext);
		    return tID;
		    /* NOTREACHED */
		}
break;
case 2:

# line 71 "lex.l"
{
		    /* C pre-processor control line. */
		    register char	*p;
		    char		*namep;

		    /* Find the line number. */
		    for (p = yytext; *p && !isdigit(*p); p++)
			continue;
		    /* Parse the number, find the start of the filename. */
		    for (yylineno = atoi(p); *p && *p != '"'; p++)
			continue;
		    /* March down to the end of the filename. */
		    for (namep = p; *++p && *p != '"'; p++)
			continue;
		    *p = '\0';
		    (void)strncpy(yyfilename, namep, sizeof yyfilename - 1);
		    yyfilename[sizeof yyfilename - 1] = '\0';
		}
break;
case 3:

# line 90 "lex.l"
	{
		    /* Quoted string. */
		    int		c;

		    /* See the Lex paper in Volume 2A or PS1:16
		     * for details on this code. */
		    if (yytext[yyleng - 1] == '\\')
			yymore();
		    else {
			if ((c = input()) == '"') {
			    yylval.String = COPY(&yytext[1]);
			    return tID;
			}
			unput(c);
			yyerror("Bad string");
		    }
		}
break;
case 4:

# line 108 "lex.l"
        {
		    /* Comment. */
		    register STATE	S;

		    for (S = S_NORMAL; S != S_END; )
			switch (input()) {
			case '/':
			    if (S == S_STAR) {
				S = S_END;
				break;
			    }
			    /* FALLTHROUGH */
			default:
			    S = S_NORMAL;
			    break;
			case '\0':
			    S = S_END;
			    break;
			case '*':
			    S = S_STAR;
			    break;
			}
		}
break;
case 5:

# line 132 "lex.l"
	{
		    /* Tasty whitespace. */
		}
break;
case 6:

# line 136 "lex.l"
	{
		    /* Random special character. */
		    return *yytext;
		    /* NOTREACHED */
		}
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */


/*
**  Called by lex at end-of-stream.  Return one if no more input.
*/
int
yywrap()
{
    return 1;
}


void
yyopen(p)
    char	*p;
{
    if (p == NULL)
	(void)strcpy(yyfilename, "stdin");
    else {
	if ((yyin = fopen(p, "r")) == NULL) {
	    Fprintf(stderr, "%s: Can't open \"%s\" for input, %s.\n",
		    Pname, p, strerror(errno));
	    exit(1);
	}
	(void)strcpy(yyfilename, p);
    }
}


/*
**  Write an error message.
*/
void
yyerror(p)
    char	*p;
{
    char	buff[SM_SIZE];

    (void)strncpy(buff, yytext, sizeof buff);
    buff[sizeof buff - 1] = '\0';
    Fprintf(stderr, "\"%s\", line %d: %s (near \"%s\")\n",
	    yyfilename, yylineno, p, buff);
    Errors++;
}
int yyvstop[] = {
0,

6,
0,

5,
6,
0,

5,
0,

3,
6,
0,

1,
6,
0,

6,
0,

6,
0,

3,
0,

1,
0,

4,
0,

-2,
0,

2,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
6,10,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,4,	1,5,	
6,10,	6,10,	17,18,	0,0,	
9,13,	14,15,	15,15,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	1,6,	
10,0,	6,0,	2,9,	9,13,	
14,15,	15,15,	0,0,	8,12,	
1,7,	19,20,	6,10,	0,0,	
1,8,	1,7,	2,8,	6,10,	
7,11,	0,0,	7,11,	7,11,	
0,0,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
15,16,	16,17,	18,19,	0,0,	
7,11,	0,0,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
7,11,	7,11,	7,11,	7,11,	
13,13,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
20,20,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	13,13,	
20,20,	20,21,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	13,14,	
13,14,	13,14,	13,14,	13,14,	
13,14,	13,14,	13,14,	13,14,	
13,14,	20,20,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	20,20,	0,0,	
0,0,	0,0,	0,0,	20,20,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-3,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+6,
yycrank+-3,	0,		yyvstop+8,
yycrank+9,	0,		yyvstop+11,
yycrank+1,	0,		yyvstop+14,
yycrank+7,	0,		yyvstop+16,
yycrank+-2,	yysvec+6,	yyvstop+18,
yycrank+0,	yysvec+7,	yyvstop+20,
yycrank+0,	0,		yyvstop+22,
yycrank+123,	0,		0,	
yycrank+8,	yysvec+13,	0,	
yycrank+9,	0,		0,	
yycrank+7,	0,		0,	
yycrank+4,	0,		0,	
yycrank+9,	0,		0,	
yycrank+2,	0,		0,	
yycrank+-147,	0,		yyvstop+24,
yycrank+0,	0,		yyvstop+26,
0,	0,	0};
struct yywork *yytop = yycrank+195;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  9,   1,  34,   1,   1,   1,   1,   1, 
  1,   1,   1,  43,   1,  43,  43,   1, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,   1,   1,   1,   1,   1,   1, 
  1,  43,  43,  43,  43,  43,  43,  43, 
 43,  43,  43,  43,  43,  43,  43,  43, 
 43,  43,  43,  43,  43,  43,  43,  43, 
 43,  43,  43,   1,   1,   1,   1,  43, 
  1,  43,  43,  43,  43,  43,  43,  43, 
 43,  43,  43,  43,  43,  43,  43,  43, 
 43,  43,  43,  43,  43,  43,  43,  43, 
 43,  43,  43,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,1,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.8	95/02/11 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
